> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api/spotlight-object.md).

# Spotlight

The Spotlight object represents a collection of spotlighted objects and their definition, along with the RQL query used to retrieve items.

This object contains the following attributes:

<table><thead><tr><th width="134">Field</th><th width="175">Type</th><th width="391">Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier for the spotlight object.</td></tr><tr><td><code>query</code></td><td>object</td><td>Represents the <a href="/pages/a54GQewZXPuL44o2ta0g">spotlightQuery</a> object.</td></tr><tr><td><code>top</code></td><td><a href="/pages/nQiKGl1wXvZr5MB8OZTi">spotlightTopItem</a></td><td>A list of the top five objects returned by the downstreamed RQL query.</td></tr><tr><td><code>total</code></td><td>integer</td><td>The total number of objects available for downstream RQL.</td></tr><tr><td><code>audit</code></td><td>object</td><td>Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object, which tracks changes to the spotlight object. For example, when the cache key was last refreshed and who initiated the action.</td></tr></tbody></table>

## Example

{% code title="SPOTLIGHT OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "SPO-1234-5678-9012-3456-7890",
  "query": {
    "id": "SPQ-1234-2345",
    "name": "Saved Orders",
    "template": "savedOrdersClient"
  },
  "top": [
    {
      "id": "ORD-6637-5331-9984",
      "audit": {
        "updated": {
          "at": "2024-05-28T09:00:22.945Z"
        }
      },
      "icon": "/public/v1/catalog/products/PRD-6523-2229/icon",
      "name": "Order ORD-8373-6076-7130"
    }
  ],
  "total": 1,
  "audit": {
    "updated": {
      "at": "2024-05-28T09:00:22.945Z"
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api/spotlight-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
